net.snowflake.client.core

## Class URLUtil

- java.lang.Object
- - net.snowflake.client.core.URLUtil

    public class URLUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`URLUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isValidURL(String url)`
`static String` `urlEncode(String target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URLUtil

    public URLUtil()

### Method Detail

#### isValidURL

    public static boolean isValidURL(String url)

#### urlEncode

    @Nullable
    public static String urlEncode(String target)
                                      throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`